Public Member Functions

# wxLogInterposer Class Reference
[Logging]

`#include <wx/log.h>`

Inheritance diagram for wxLogInterposer:
[legend]

## Detailed Description

A special version of wxLogChain which uses itself as the new log target.

It forwards log messages to the previously installed one in addition to processing them itself.

Unlike wxLogChain which is usually used directly as is, this class must be derived from to implement wxLog::DoLog and/or wxLog::DoLogString methods.

wxLogInterposer destroys the previous log target in its destructor. If you don't want this to happen, use wxLogInterposerTemp instead.

##

Library: wxBase
Category: Logging

## Public Member Functions
| wxLogInterposer ()
| The default constructor installs this object as the current active log target.

List of all members.

## Constructor & Destructor Documentation

wxLogInterposer::wxLogInterposer | ( |  | ) |

The default constructor installs this object as the current active log target.

|  | [ top ]